#!/bin/bash

#maker_folder=`dirname $0`
maker_folder=/opt/maker/
projecttype=$1
foldername=$2

if [[ -z $projecttype ]]
then
    echo "need a project type"
    exit
fi

if [ "$projecttype" = "help" ]
then
    cd $maker_folder
    ls -d1 */ | sed "s/\/$//g"
    exit
fi

if [ "$projecttype" = "utils" ]
then
    shift
    $maker_folder/utils/reduxadder.sh "$@"
    exit
fi

if [ "$projecttype" = "front" ]
then
    $maker_folder/front/main.sh $foldername
    exit
fi

if [ "$projecttype" = "fullstack" ]
then
    git init $foldername
    $maker_folder/fullstack/main.sh $foldername
    exit
fi


if [[ -d $maker_folder/$projecttype ]]
then
    echo "project type AVAILABLE"
else
    echo "project type not available"
    exit
fi

if [[ -z $foldername ]]
then
    echo "need a folder name"
    exit
fi

#mkdir $foldername
git init $foldername
folderpath=`dirname $foldername`

echo "created $foldername at $folderpath"

cp -R $maker_folder/$projecttype/. $folderpath/$foldername

cd $foldername

for i in `grep -ril '$foldername' .`;
do
    echo "replacing folder name in $i";
    caps=( $foldername )
    sed -i "s/\$Foldername/${caps[@]^}/g" $i;
    sed -i "s/\$foldername/$foldername/g" $i;
done;


if [[ -f boilerplate.sh ]]
then
    echo "executing boilerplate script"
    ./boilerplate.sh
    rm -f boilerplate.sh
fi

#echo "Don't forget to run \"npm init\" as well as \"npm install\""
echo "done."

